## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-resumable-media
%global         forgeurl    https://github.com/googleapis/google-resumable-media-python
Version:        2.5.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Utilities for Google media downloads and resumable uploads

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource
BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(google-auth)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(urllib3)
%endif

%global _description %{expand:
Utilities for Google media downloads and resumable uploads}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_resumable_media-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.5.0-3
- Bump revision number

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.5.0-2
- Rebuilt for Python 3.12

* Tue Apr 25 2023 Major Hayden <major@redhat.com> - 2.5.0-1
- Update to 2.5.0 rhbz#2189333

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 2.4.1-2
- Set SPDX license

* Mon Feb 13 2023 Major Hayden <major@redhat.com> - 2.4.1-1
- Update to 2.4.1 rhbz#2162559

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 fkolwa <fkolwa@redhat.com> - 2.4.0-1
- Update to 2.4.0 rhbz#2131119 Newest release includes patch 329. Patch
  dependency removed accordingly.

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 2.3.3-2
- Rebuilt for Python 3.11

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 2.3.3-1
- 🚀 Update to 2.3.3

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> - 2.3.2-1
- Update to 2.3.2

* Fri Mar 04 2022 Major Hayden <major@mhtx.net> - 2.3.1-1
- Update to 2.3.1

* Thu Feb 10 2022 Major Hayden <major@mhtx.net> - 2.2.1-1
- Update to 2.2.1

* Mon Feb 07 2022 Major Hayden <major@mhtx.net> - 2.2.0-1
- Update to 2.2.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> - 2.1.0-1
- Update to 2.1.0

* Tue Sep 21 2021 Major Hayden <major@mhtx.net> - 2.0.3-1
- Update to 2.0.3

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 2.0.2-2
- Move to rpmautospec

* Fri Sep 03 2021 Major Hayden <major@mhtx.net> - 2.0.2-1
- Update to 2.0.2

* Wed Sep 01 2021 Major Hayden <major@mhtx.net> - 2.0.1-1
- Update to 2.0.1

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.3.1-1
- Initial import (#1983177)
